Ubuntu

vlc crashed while libslang2 called exit()

Reported by Hanine HAMZIOUI on 2012-04-01
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
VLC media player
Fix Released
Undecided
Rémi Denis-Courmont
aalib (Ubuntu)
Undecided
Unassigned
vlc (Ubuntu)
Medium
Unassigned

Bug Description

Might be a duplicate of these bugs:

#329092 vlc crashed with SIGSEGV in QPen::QPen()
Invalid (5 comments) last updated 2010-05-06 view this bug
​​
#403657 vlc crashed with SIGSEGV in QPen::QPen()
Fix Released (5 comments) last updated 2010-06-24 view this bug
​​
#626485 vlc crashed with SIGSEGV in QPen::QPen()

as the fix was released I am filing it again!

VLC crashed spontaneously (MP4 videos playlist) while I was surfing on google-chrome.

ProblemType: Crash
DistroRelease: Ubuntu 12.04
Package: vlc-nox 2.0.1-3
ProcVersionSignature: Ubuntu 3.2.0-21.34-generic 3.2.13
Uname: Linux 3.2.0-21-generic x86_64
ApportVersion: 2.0-0ubuntu2
Architecture: amd64
CrashCounter: 1
Date: Sun Apr 1 23:25:23 2012
ExecutablePath: /usr/bin/vlc
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release amd64 (20111012)
ProcCmdline: /usr/bin/vlc
SegvReason: reading NULL VMA
Signal: 11
SourcePackage: vlc
Title: vlc crashed with SIGSEGV in QPen::QPen()
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

Hanine HAMZIOUI (hanynowsky) wrote :
visibility: private → public
Changed in vlc (Ubuntu):
importance: Undecided → Medium
summary: - vlc crashed with SIGSEGV in QPen::QPen()
+ vlc crashed with SIGSEGV in ref()
tags: removed: need-amd64-retrace

The problem is actually Thread 12 calling exit(). Then a Qt4 exit handler gets called while Qt4 is still active, and the process crashes.

exit() is being called by libslang2. Why libslang2 does that, and how libslang2 ended up in the VLC process, I don't know for sure. My guess is that it was imported libcaca. However I have no clue why libcaca would even be in use.

For me, the fix consists of removing caca from VLC, unless libcaca gets fixed.

summary: - vlc crashed with SIGSEGV in ref()
+ vlc crashed while libslang2 calls exit()
summary: - vlc crashed while libslang2 calls exit()
+ vlc crashed while libslang2 called exit()
Sam Hocevar (sam-h) wrote :

The stack trace indicates that libslang2 is called through aa_autoinit() by VLC's aa plugin.

affects: libcaca (Ubuntu) → aalib (Ubuntu)
Rémi Denis-Courmont (rdenis) wrote :

commit 9795744865489a7e2427b2a4b7e2e6182213fb71
Author: Rémi Denis-Courmont <email address hidden>
Date: Sun May 13 22:15:32 2012 +0300

    AA: drop priority to zero

    This plugin can cause VLC to crash or exit prematurely. Sicne it is
    mostly useless and mostly superseded by the coloured variant,
    lets disable it unless explicitly selected.

    This should fix LP#971106.
    (cherry picked from commit 5a772cbf7d490bc9cffa6c2f97c5fd2d3e30f068)

Changed in vlc:
milestone: none → 2.0.2
assignee: nobody → Rémi Denis-Courmont (rdenis)
status: New → Fix Released
Rémi Denis-Courmont (rdenis) wrote :

The problem does occur when the AA X11 window is closed. I am not sure if that is how this particular crash was caused though.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package vlc - 2.0.2-1

---------------
vlc (2.0.2-1) unstable; urgency=medium

  [ Edward Wang ]
  * New upstream release (Closes: #679625, #664279, LP: #689122, #936488,
    #942126, #971106, #972615, #973051, #987231, #995003, #998538).
    - Fix Ogg Heap buffer overflow. Thanks to Hugo Beauzée-Luyssen
  * Add the crystalhd plugin to the vlc distribution.
  * libcaca_plugin.so now depends on X11 in this release, so it must
    be installed under vlc (versus vlc-nox).

  [ Reinhard Tartler ]
  * Urgency set to medium because a security issue is fixed in this release

  [ Benjamin Drung ]
  * Add new plugins to vlc-nox:
    - crystalhd (Linux amd64 and i386 only)
    - directfb
    - fbosd (Linux only)
    - omxil (Linux only)
  * Add build dependencies for new plugins.
  * Add new symbols to libvlccore5.
  * Switch to debhelper 8.

 -- Benjamin Drung <email address hidden> Sat, 30 Jun 2012 18:39:41 +0200

Changed in vlc (Ubuntu):
status: New → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers